Page MenuHomeFreeBSD

Implement basic support for allocating memory from a specific numa node in the LinuxKPI.
ClosedPublic

Authored by hselasky on Mar 5 2021, 11:50 AM.

Details

Summary

Implement basic support for allocating memory from a specific numa node in the LinuxKPI.

MFC after: 1 week
Sponsored by: Mellanox Technologies // NVIDIA Networking

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sys/compat/linuxkpi/common/src/linux_domain.c
46

Are you sure that FIXED policy is right there? What is the Linux' semantic?

From my experience, it almost never is. You typically want a graceful fallback to to other domains if requested domain is full. AFAIR in our terminology this means _PREF().

sys/kern/kern_malloc.c
808 ↗(On Diff #85195)

This line looks too long.

kern_malloc.c/malloc.h bits should be committed separately.

Strip the malloc.h bits from this commit and push them separately.

Update patch as per suggestions from kib@

Looks fine to me. I did not looked at the Linux KPI to see if this is a proper implementation.

I suggest to wait some time for Mark' comments.

This revision is now accepted and ready to land.Mar 6 2021, 8:34 PM

Looks ok to me.

sys/compat/linuxkpi/common/include/linux/device.h
557–559

Why is it variadic?

sys/compat/linuxkpi/common/include/linux/device.h
557–559

Just to get a better compile error, if the argument passed is bad.
Do you think I should change it?

sys/compat/linuxkpi/common/include/linux/device.h
557–559

I think there should at least be a comment explaining it, otherwise it looks strange. And, why is it especially likely to get compile errors with this function?

hselasky added inline comments.
sys/compat/linuxkpi/common/include/linux/device.h
557–559

OK, I'll fix.

hselasky marked an inline comment as done.

Fix comment by @markj .

This revision now requires review to proceed.Mar 9 2021, 7:42 PM
This revision is now accepted and ready to land.Mar 9 2021, 7:50 PM

Added build-fix for DRM KMOD.

This revision now requires review to proceed.Mar 9 2021, 7:58 PM
This revision was not accepted when it landed; it landed in state Needs Review.Mar 9 2021, 8:09 PM
This revision was automatically updated to reflect the committed changes.